<?php
class Menu {
    private $idMenu;
    private $Nome;
    private $Link;
    private $Ordem;
    private $idMenuPai;
    
    public function __construct($idMenu     = "",
                                $Nome       = "",
                                $Link       = "",
                                $Ordem      = "",
                                $idMenuPai  = "") {
        
               $this->idMenu    = $idMenu;
               $this->Nome      = $Nome;
               $this->Link      = $Link;
               $this->Ordem     = $Ordem;
               $this->idMenuPai = $idMenuPai;
    }
    
    public function getIdMenu(){
        return $this->idMenu;
    }
    
    
    public function getNome(){
        return $this->Nome;
    }
    public function setNome($nome){
        $this->Nome = $nome;
    }
    
    public function getLink(){
        return $this->Link;
    }
    public function setLink($link){
        $this->Link = $link;
    }
    
    public function getOrdem(){
        return $this->Ordem;
    }
    public function setOrdem($ordem){
        $this->Ordem = $ordem;
    }
    
    public function getIdMenuPai(){
        return $this->idMenuPai;
    }
    public function setIdMenuPai($pai){
        $this->idMenuPai = $pai;
    }
}

